%define	major		1
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

%define rel	3
%define pre	alpha4git
 
Summary:	Conservative garbage collector for C
Name:		gc
Version:	7.3
Release:	%mkrel %{?pre:0.%{pre}.}%{rel}
License:	BSD
Group:		System/Libraries
URL:		http://www.hpl.hp.com/personal/Hans_Boehm/gc/
#Source0:	http://www.hpl.hp.com/personal/Hans_Boehm/gc/gc_source/%{name}-%{version}%{?pre:%{pre}}.tar.bz2
# from GIT
# git clone git://github.com/ivmai/bdwgc.git
Source0:        %{name}-%{version}%{?pre:%{pre}}.tar.bz2
Patch1:		gc-7.3alpha4git-automake-1.13.patch
BuildRequires:	libatomic_ops-devel

%description
Boehm's GC is a garbage collecting storage allocator that is intended to be
used as a plug-in replacement for C's malloc.


%package -n %{libname}
Summary:	Conservative garbage collector for C
Group:		System/Libraries
Obsoletes:	%{name} < 7.1
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
Boehm's GC is a garbage collecting storage allocator that is intended to be
used as a plug-in replacement for C's malloc.


%package -n %{develname}
Summary:	Development files and documentation for Bohem's GC
Group:		Development/C
License: 	BSD
Obsoletes:	%{_lib}gc1-devel < 7.1
Obsoletes:	%{_lib}gc-static-devel < 7.2
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{develname}
Header files and documentation needed to develop programs that use Bohem's GC

%prep
%setup -q -n %{name}-%{version}%{?pre:%{pre}}
%patch1 -p1 -b .automake-1_13

%build
autoreconf -vfi

# or else tkhtml3 won't build on x86-64. the clean way to do this is
# to patch it into the Makefile, but then it doesn't get used for
# mach_dep.lo, and I can't figure out why not - AdamW 2008/12
%ifarch x86_64
export CFLAGS="%{optflags} -fPIC"
%endif

# from Fedora: see http://bugzilla.redhat.com/689877
export CPPFLAGS="-DUSE_GET_STACKBASE_FOR_MAIN"

%configure2_5x \
	--disable-static \
	--enable-cplusplus \
	--enable-large-config \
%ifarch %{ix86}
	--enable-parallel-mark \
%endif
	--enable-threads=posix
        
%make

%install
%makeinstall_std

rm -rf %{buildroot}%{_datadir}

install -m644 doc/gc.man -D %{buildroot}%{_mandir}/man3/gc.3

#we don't want these
find %{buildroot} -name "*.la" -delete

%check
make check

%files -n %{libname}
%doc README.QUICK
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%doc doc/*.html
%{_libdir}/*.so
%dir %{_includedir}/gc
%{_includedir}/%{name}/*
%{_includedir}/*h
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man?/*


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 7.3-0.alpha4git.3.mga3
+ Revision: 351085
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 04 2013 cjw <cjw> 7.3-0.alpha4git.2.mga3
+ Revision: 338558
- patch1: fix build with automake 1.13

* Sat Jul 07 2012 kamil <kamil> 7.3-0.alpha4git.1.mga3
+ Revision: 268612
- new version 7.3.0alpha4 git snapshot
- this version fixes security issues (mga#6652)
- drop P0

* Sat Jul 07 2012 kamil <kamil> 7.2-0.c.1.mga3
+ Revision: 268606
- disable P0
- new version 7.2c

* Mon Feb 06 2012 kamil <kamil> 7.2-0.alpha6.3.mga2
+ Revision: 205435
- rebuild against libatomic_ops-7.3.0 alpha2
- clean .spec

* Sun Feb 05 2012 wally <wally> 7.2-0.alpha6.2.mga2
+ Revision: 204876
- sync build flags and configure options with Fedora

* Tue Dec 27 2011 wally <wally> 7.2-0.alpha6.1.mga2
+ Revision: 188199
- new version 7.2alpha6
- disable static build and drop .la files
- drop mips patch

* Thu Feb 10 2011 dmorgan <dmorgan> 7.1-7.mga1
+ Revision: 49769
- Remove mdv macros
- imported package gc

